Next Generation Emulation banner
1 - 14 of 14 Posts

·
Registered
Joined
·
6 Posts
Discussion Starter · #1 ·
Hi
I've tried various settings for my pc to run FF10, but even though it says that I'm getting 36-40 fps it still moves ...erm.. it feels very very slow and twitchy.
I've also read the settings post and tried to use search on this forum but I'll need some help with this one.

I have :
CPU AMD Athlon(tm) 64 X2 Dual Core Processor 4600+
GeForce 9800Gt 512 mb
4 Gigs of RAM (although XP only supports 3.5 gb of ram)

I'm pretty sure that this game can run on my PC as on my brother pc ( 7600 gt geforce, xp, 2 Gb ram and Intel dual core) it runs perfectly fine.

So if anyone could help me to configure FF10 to run properly I would be very thankful.
 

·
No sir, I don't like it.
Joined
·
5,571 Posts
PCSX2 runs notably better on Intel CPUs.

List your:

PCSX2 version

plugins

plugin settings

speedhacks & other performance enhancements
 

·
Registered
Joined
·
6 Posts
Discussion Starter · #8 ·
well I'm sorry to bug you again guys, but I have no where else to turn to.

http://img269.imageshack.us/img269/5808/59994265.jpg
http://img198.imageshack.us/img198/4872/90306765.jpg

after I've downloaded latest drivers you gave the link for, I got enough fps, but in most of the areas it feels like the character is running x2 slower than he's supposed to, everything feels so slow, even music slows down, though the Fps rate does not change almost. It remains at 40 to 50 even in big areas.
and (so far found 2 small rooms) where the game starts moving wayyy to fast.
Tried different speed hack settings and graphic settings, but can't figure out what's wrong... and as I've read, FF10 doesn't require too much of CPU.

Kinda strange that I can run games like Crysis or Gears Of War at high res, and can't play something like FF10 properly :(

thanks in advance :)
 

·
Registered
Joined
·
261 Posts
Is it just me or do the newer versions of "DX9" GSdX plugins not work with DX9? It keeps telling me to install the latest version of DirectX. I would if not for these two things:

1) I HAVE the latest version of DX9
2) DX10 doesn't work on XP
 

·
AKA snkmad
Joined
·
4,030 Posts

·
No sir, I don't like it.
Joined
·
5,571 Posts
Heh. You'd be surprised how many people say they have the latest runtimes when it turns out they don't.

You really should have said so (March 2009) in the first place.
 
1 - 14 of 14 Posts
This is an older thread, you may not receive a response, and could be reviving an old thread. Please consider creating a new thread.
Top